set more 1
log using C:\_ernesto\Crime\AER_DataFiles&Programs\revision3.log, replace
#delimit;
clear;
set memory 6m;
set matsize 800;
set obs 8000;
***REVISION3.DO - VERSION SEPTEMBER 2003;
***TESTS OF CENSUS DATA;
use "C:\_ernesto\Crime\AER_DataFiles&Programs\CrimebyBlock.dta", clear;
gen invinstitu1=1;
replace invinstitu1=0 if institu1==1;
sort distrito frcensal invinstitu1;
gen xxx=1;
replace xxx=0 if (frcensal==frcensal[_n-1] & distrito==distrito[_n-1]);
drop if xxx==0;
gen poor=1-nonbi;
gen overcrowded=1-nohacinado;
gen unemployed=1-ocupado;
***TABLE 1;
***WELCH TESTS;    
ttest edad, by (institu1) unequal welch;
ttest mujer, by (institu1) unequal welch;
ttest propiet, by (institu1) unequal welch;
ttest overcrowded, by (institu1) unequal welch;
ttest poor, by (institu1) unequal welch;
ttest educjefe, by (institu1) unequal welch;
ttest unemployed, by (institu1) unequal welch;
ttest tamhogar, by (institu1) unequal welch;
***TABLE A2 - NEIGHBORHOOD MEANS;
table barrio, c(mean edad sd edad);
table barrio, c(mean mujer sd mujer);
table barrio, c(mean propiet sd propiet);
table barrio, c(mean overcrowded sd overcrowded);
table barrio, c(mean poor sd poor);
table barrio, c(mean educjefe sd educjefe);
table barrio, c(mean unemployed sd unemployed);
table barrio, c(mean tamhogar sd tamhogar);
