set more 1
log using C:\_ernesto\Crime\AER_DataFiles&Programs\revision6.log, replace
#delimit;
clear;
set memory 4m;
set matsize 150;
set obs 8000;
***REVISION6.DO;
***WEEKDAY VS. WEEKEND;
use "C:\_ernesto\Crime\AER_DataFiles&Programs\CrimebyBlock.dta", clear;
replace rob1=0.25 if rob1esq==1;
replace rob2=0.25 if rob2esq==1;
replace rob3=0.25 if rob3esq==1;
replace rob4=0.25 if rob4esq==1;
replace rob5=0.25 if rob5esq==1;
replace rob6=0.25 if rob6esq==1;
replace rob7=0.25 if rob7esq==1;
replace rob8=0.25 if rob8esq==1;
replace rob9=0.25 if rob9esq==1;
replace rob10=0.25 if rob10esq==1;
replace rob11=0.25 if rob11esq==1;
replace rob12=0.25 if rob12esq==1;
replace rob13=0.25 if rob13esq==1;
replace rob14=0.25 if rob14esq==1;
replace rob15=0.25 if rob15esq==1;
replace rob16=0.25 if rob16esq==1;
replace rob17=0.25 if rob17esq==1;
replace rob18=0.25 if rob18esq==1;
replace rob19=0.25 if rob19esq==1;
replace rob20=0.25 if rob20esq==1;
replace rob21=0.25 if rob21esq==1;
replace rob22=0.25 if rob22esq==1;
replace rob23=0.25 if rob23esq==1;
gen ron1abr=0;
replace ron1abr=rob1 if (rob1~=0 & rob1mes==4 & rob1day<6);
gen ron2abr=0;
replace ron2abr=rob2 if (rob2~=0 & rob2mes==4 & rob2day<6);
gen ron3abr=0;
replace ron3abr=rob3 if (rob3~=0 & rob3mes==4 & rob3day<6);
gen ron4abr=0;
replace ron4abr=rob4 if (rob4~=0 & rob4mes==4 & rob4day<6);
gen ron5abr=0;
replace ron5abr=rob5 if (rob5~=0 & rob5mes==4 & rob5day<6);
gen ron6abr=0;
replace ron6abr=rob6 if (rob6~=0 & rob6mes==4 & rob6day<6);
gen ron7abr=0;
replace ron7abr=rob7 if (rob7~=0 & rob7mes==4 & rob7day<6);
gen ron8abr=0;
replace ron8abr=rob8 if (rob8~=0 & rob8mes==4 & rob8day<6);
gen ron9abr=0;
replace ron9abr=rob9 if (rob9~=0 & rob9mes==4 & rob9day<6);
gen ron10abr=0;
replace ron10abr=rob10 if (rob10~=0 & rob10mes==4 & rob10day<6);
gen ron11abr=0;
replace ron11abr=rob11 if (rob11~=0 & rob11mes==4 & rob11day<6);
gen ron12abr=0;
replace ron12abr=rob12 if (rob12~=0 & rob12mes==4 & rob12day<6);
gen ron13abr=0;
replace ron13abr=rob13 if (rob13~=0 & rob13mes==4 & rob13day<6);
gen ron14abr=0;
replace ron14abr=rob14 if (rob14~=0 & rob14mes==4 & rob14day<6);
gen ron15abr=0;
replace ron15abr=rob15 if (rob15~=0 & rob15mes==4 & rob15day<6);
gen ron16abr=0;
replace ron16abr=rob16 if (rob16~=0 & rob16mes==4 & rob16day<6);
gen ron17abr=0;
replace ron17abr=rob17 if (rob17~=0 & rob17mes==4 & rob17day<6);
gen ron18abr=0;
replace ron18abr=rob18 if (rob18~=0 & rob18mes==4 & rob18day<6);
gen ron19abr=0;
replace ron19abr=rob19 if (rob19~=0 & rob19mes==4 & rob19day<6);
gen ron20abr=0;
replace ron20abr=rob20 if (rob20~=0 & rob20mes==4 & rob20day<6);
gen ron21abr=0;
replace ron21abr=rob21 if (rob21~=0 & rob21mes==4 & rob21day<6);
gen ron22abr=0;
replace ron22abr=rob22 if (rob22~=0 & rob22mes==4 & rob22day<6);
gen ron23abr=0;
replace ron23abr=rob23 if (rob23~=0 & rob23mes==4 & rob23day<6);
gen totrobn=ron1abr+ron2abr+ron3abr+ron4abr+ron5abr+ron6abr+ron7abr+ron8abr+ron9abr+ron10abr+ron11abr+ron12abr+ron13abr+ron14abr+ron15abr+ron16abr+ron17abr+ron18abr+ron19abr+ron20abr+ron21abr+ron22abr+ron23abr;
gen rod1abr=0;
replace rod1abr=rob1 if (rob1~=0 & rob1mes==4 & rob1day>5);
gen rod2abr=0;
replace rod2abr=rob2 if (rob2~=0 & rob2mes==4 & rob2day>5);
gen rod3abr=0;
replace rod3abr=rob3 if (rob3~=0 & rob3mes==4 & rob3day>5);
gen rod4abr=0;
replace rod4abr=rob4 if (rob4~=0 & rob4mes==4 & rob4day>5);
gen rod5abr=0;
replace rod5abr=rob5 if (rob5~=0 & rob5mes==4 & rob5day>5);
gen rod6abr=0;
replace rod6abr=rob6 if (rob6~=0 & rob6mes==4 & rob6day>5);
gen rod7abr=0;
replace rod7abr=rob7 if (rob7~=0 & rob7mes==4 & rob7day>5);
gen rod8abr=0;
replace rod8abr=rob8 if (rob8~=0 & rob8mes==4 & rob8day>5);
gen rod9abr=0;
replace rod9abr=rob9 if (rob9~=0 & rob9mes==4 & rob9day>5);
gen rod10abr=0;
replace rod10abr=rob10 if (rob10~=0 & rob10mes==4 & rob10day>5);
gen rod11abr=0;
replace rod11abr=rob11 if (rob11~=0 & rob11mes==4 & rob11day>5);
gen rod12abr=0;
replace rod12abr=rob12 if (rob12~=0 & rob12mes==4 & rob12day>5);
gen rod13abr=0;
replace rod13abr=rob13 if (rob13~=0 & rob13mes==4 & rob13day>5);
gen rod14abr=0;
replace rod14abr=rob14 if (rob14~=0 & rob14mes==4 & rob14day>5);
gen rod15abr=0;
replace rod15abr=rob15 if (rob15~=0 & rob15mes==4 & rob15day>5);
gen rod16abr=0;
replace rod16abr=rob16 if (rob16~=0 & rob16mes==4 & rob16day>5);
gen rod17abr=0;
replace rod17abr=rob17 if (rob17~=0 & rob17mes==4 & rob17day>5);
gen rod18abr=0;
replace rod18abr=rob18 if (rob18~=0 & rob18mes==4 & rob18day>5);
gen rod19abr=0;
replace rod19abr=rob19 if (rob19~=0 & rob19mes==4 & rob19day>5);
gen rod20abr=0;
replace rod20abr=rob20 if (rob20~=0 & rob20mes==4 & rob20day>5);
gen rod21abr=0;
replace rod21abr=rob21 if (rob21~=0 & rob21mes==4 & rob21day>5);
gen rod22abr=0;
replace rod22abr=rob22 if (rob22~=0 & rob22mes==4 & rob22day>5);
gen rod23abr=0;
replace rod23abr=rob23 if (rob23~=0 & rob23mes==4 & rob23day>5);
gen totrobd=rod1abr+rod2abr+rod3abr+rod4abr+rod5abr+rod6abr+rod7abr+rod8abr+rod9abr+rod10abr+rod11abr+rod12abr+rod13abr+rod14abr+rod15abr+rod16abr+rod17abr+rod18abr+rod19abr+rod20abr+rod21abr+rod22abr+rod23abr;
gen diffdn=totrobn-totrobd;
drop ro*;
gen mes=4;
save "C:\_ernesto\Crime\AER_DataFiles&Programs\borrarCuadrasBabr.dta";
use "C:\_ernesto\Crime\AER_DataFiles&Programs\CrimebyBlock.dta", clear;
replace rob1=0.25 if rob1esq==1;
replace rob2=0.25 if rob2esq==1;
replace rob3=0.25 if rob3esq==1;
replace rob4=0.25 if rob4esq==1;
replace rob5=0.25 if rob5esq==1;
replace rob6=0.25 if rob6esq==1;
replace rob7=0.25 if rob7esq==1;
replace rob8=0.25 if rob8esq==1;
replace rob9=0.25 if rob9esq==1;
replace rob10=0.25 if rob10esq==1;
replace rob11=0.25 if rob11esq==1;
replace rob12=0.25 if rob12esq==1;
replace rob13=0.25 if rob13esq==1;
replace rob14=0.25 if rob14esq==1;
replace rob15=0.25 if rob15esq==1;
replace rob16=0.25 if rob16esq==1;
replace rob17=0.25 if rob17esq==1;
replace rob18=0.25 if rob18esq==1;
replace rob19=0.25 if rob19esq==1;
replace rob20=0.25 if rob20esq==1;
replace rob21=0.25 if rob21esq==1;
replace rob22=0.25 if rob22esq==1;
replace rob23=0.25 if rob23esq==1;
gen ron1may=0;
replace ron1may=rob1 if (rob1~=0 & rob1mes==5 & rob1day<6);
gen ron2may=0;
replace ron2may=rob2 if (rob2~=0 & rob2mes==5 & rob2day<6);
gen ron3may=0;
replace ron3may=rob3 if (rob3~=0 & rob3mes==5 & rob3day<6);
gen ron4may=0;
replace ron4may=rob4 if (rob4~=0 & rob4mes==5 & rob4day<6);
gen ron5may=0;
replace ron5may=rob5 if (rob5~=0 & rob5mes==5 & rob5day<6);
gen ron6may=0;
replace ron6may=rob6 if (rob6~=0 & rob6mes==5 & rob6day<6);
gen ron7may=0;
replace ron7may=rob7 if (rob7~=0 & rob7mes==5 & rob7day<6);
gen ron8may=0;
replace ron8may=rob8 if (rob8~=0 & rob8mes==5 & rob8day<6);
gen ron9may=0;
replace ron9may=rob9 if (rob9~=0 & rob9mes==5 & rob9day<6);
gen ron10may=0;
replace ron10may=rob10 if (rob10~=0 & rob10mes==5 & rob10day<6);
gen ron11may=0;
replace ron11may=rob11 if (rob11~=0 & rob11mes==5 & rob11day<6);
gen ron12may=0;
replace ron12may=rob12 if (rob12~=0 & rob12mes==5 & rob12day<6);
gen ron13may=0;
replace ron13may=rob13 if (rob13~=0 & rob13mes==5 & rob13day<6);
gen ron14may=0;
replace ron14may=rob14 if (rob14~=0 & rob14mes==5 & rob14day<6);
gen ron15may=0;
replace ron15may=rob15 if (rob15~=0 & rob15mes==5 & rob15day<6);
gen ron16may=0;
replace ron16may=rob16 if (rob16~=0 & rob16mes==5 & rob16day<6);
gen ron17may=0;
replace ron17may=rob17 if (rob17~=0 & rob17mes==5 & rob17day<6);
gen ron18may=0;
replace ron18may=rob18 if (rob18~=0 & rob18mes==5 & rob18day<6);
gen ron19may=0;
replace ron19may=rob19 if (rob19~=0 & rob19mes==5 & rob19day<6);
gen ron20may=0;
replace ron20may=rob20 if (rob20~=0 & rob20mes==5 & rob20day<6);
gen ron21may=0;
replace ron21may=rob21 if (rob21~=0 & rob21mes==5 & rob21day<6);
gen ron22may=0;
replace ron22may=rob22 if (rob22~=0 & rob22mes==5 & rob22day<6);
gen ron23may=0;
replace ron23may=rob23 if (rob23~=0 & rob23mes==5 & rob23day<6);
gen totrobn=ron1may+ron2may+ron3may+ron4may+ron5may+ron6may+ron7may+ron8may+ron9may+ron10may+ron11may+ron12may+ron13may+ron14may+ron15may+ron16may+ron17may+ron18may+ron19may+ron20may+ron21may+ron22may+ron23may;
gen rod1may=0;
replace rod1may=rob1 if (rob1~=0 & rob1mes==5 & rob1day>5);
gen rod2may=0;
replace rod2may=rob2 if (rob2~=0 & rob2mes==5 & rob2day>5);
gen rod3may=0;
replace rod3may=rob3 if (rob3~=0 & rob3mes==5 & rob3day>5);
gen rod4may=0;
replace rod4may=rob4 if (rob4~=0 & rob4mes==5 & rob4day>5);
gen rod5may=0;
replace rod5may=rob5 if (rob5~=0 & rob5mes==5 & rob5day>5);
gen rod6may=0;
replace rod6may=rob6 if (rob6~=0 & rob6mes==5 & rob6day>5);
gen rod7may=0;
replace rod7may=rob7 if (rob7~=0 & rob7mes==5 & rob7day>5);
gen rod8may=0;
replace rod8may=rob8 if (rob8~=0 & rob8mes==5 & rob8day>5);
gen rod9may=0;
replace rod9may=rob9 if (rob9~=0 & rob9mes==5 & rob9day>5);
gen rod10may=0;
replace rod10may=rob10 if (rob10~=0 & rob10mes==5 & rob10day>5);
gen rod11may=0;
replace rod11may=rob11 if (rob11~=0 & rob11mes==5 & rob11day>5);
gen rod12may=0;
replace rod12may=rob12 if (rob12~=0 & rob12mes==5 & rob12day>5);
gen rod13may=0;
replace rod13may=rob13 if (rob13~=0 & rob13mes==5 & rob13day>5);
gen rod14may=0;
replace rod14may=rob14 if (rob14~=0 & rob14mes==5 & rob14day>5);
gen rod15may=0;
replace rod15may=rob15 if (rob15~=0 & rob15mes==5 & rob15day>5);
gen rod16may=0;
replace rod16may=rob16 if (rob16~=0 & rob16mes==5 & rob16day>5);
gen rod17may=0;
replace rod17may=rob17 if (rob17~=0 & rob17mes==5 & rob17day>5);
gen rod18may=0;
replace rod18may=rob18 if (rob18~=0 & rob18mes==5 & rob18day>5);
gen rod19may=0;
replace rod19may=rob19 if (rob19~=0 & rob19mes==5 & rob19day>5);
gen rod20may=0;
replace rod20may=rob20 if (rob20~=0 & rob20mes==5 & rob20day>5);
gen rod21may=0;
replace rod21may=rob21 if (rob21~=0 & rob21mes==5 & rob21day>5);
gen rod22may=0;
replace rod22may=rob22 if (rob22~=0 & rob22mes==5 & rob22day>5);
gen rod23may=0;
replace rod23may=rob23 if (rob23~=0 & rob23mes==5 & rob23day>5);
gen totrobd=rod1may+rod2may+rod3may+rod4may+rod5may+rod6may+rod7may+rod8may+rod9may+rod10may+rod11may+rod12may+rod13may+rod14may+rod15may+rod16may+rod17may+rod18may+rod19may+rod20may+rod21may+rod22may+rod23may;
gen diffdn=totrobn-totrobd;
drop ro*;
gen mes=5;
save "C:\_ernesto\Crime\AER_DataFiles&Programs\borrarCuadrasBmay.dta";
use "C:\_ernesto\Crime\AER_DataFiles&Programs\CrimebyBlock.dta", clear;
replace rob1=0.25 if rob1esq==1;
replace rob2=0.25 if rob2esq==1;
replace rob3=0.25 if rob3esq==1;
replace rob4=0.25 if rob4esq==1;
replace rob5=0.25 if rob5esq==1;
replace rob6=0.25 if rob6esq==1;
replace rob7=0.25 if rob7esq==1;
replace rob8=0.25 if rob8esq==1;
replace rob9=0.25 if rob9esq==1;
replace rob10=0.25 if rob10esq==1;
replace rob11=0.25 if rob11esq==1;
replace rob12=0.25 if rob12esq==1;
replace rob13=0.25 if rob13esq==1;
replace rob14=0.25 if rob14esq==1;
replace rob15=0.25 if rob15esq==1;
replace rob16=0.25 if rob16esq==1;
replace rob17=0.25 if rob17esq==1;
replace rob18=0.25 if rob18esq==1;
replace rob19=0.25 if rob19esq==1;
replace rob20=0.25 if rob20esq==1;
replace rob21=0.25 if rob21esq==1;
replace rob22=0.25 if rob22esq==1;
replace rob23=0.25 if rob23esq==1;
gen ron1jun=0;
replace ron1jun=rob1 if (rob1~=0 & rob1mes==6 & rob1day<6);
gen ron2jun=0;
replace ron2jun=rob2 if (rob2~=0 & rob2mes==6 & rob2day<6);
gen ron3jun=0;
replace ron3jun=rob3 if (rob3~=0 & rob3mes==6 & rob3day<6);
gen ron4jun=0;
replace ron4jun=rob4 if (rob4~=0 & rob4mes==6 & rob4day<6);
gen ron5jun=0;
replace ron5jun=rob5 if (rob5~=0 & rob5mes==6 & rob5day<6);
gen ron6jun=0;
replace ron6jun=rob6 if (rob6~=0 & rob6mes==6 & rob6day<6);
gen ron7jun=0;
replace ron7jun=rob7 if (rob7~=0 & rob7mes==6 & rob7day<6);
gen ron8jun=0;
replace ron8jun=rob8 if (rob8~=0 & rob8mes==6 & rob8day<6);
gen ron9jun=0;
replace ron9jun=rob9 if (rob9~=0 & rob9mes==6 & rob9day<6);
gen ron10jun=0;
replace ron10jun=rob10 if (rob10~=0 & rob10mes==6 & rob10day<6);
gen ron11jun=0;
replace ron11jun=rob11 if (rob11~=0 & rob11mes==6 & rob11day<6);
gen ron12jun=0;
replace ron12jun=rob12 if (rob12~=0 & rob12mes==6 & rob12day<6);
gen ron13jun=0;
replace ron13jun=rob13 if (rob13~=0 & rob13mes==6 & rob13day<6);
gen ron14jun=0;
replace ron14jun=rob14 if (rob14~=0 & rob14mes==6 & rob14day<6);
gen ron15jun=0;
replace ron15jun=rob15 if (rob15~=0 & rob15mes==6 & rob15day<6);
gen ron16jun=0;
replace ron16jun=rob16 if (rob16~=0 & rob16mes==6 & rob16day<6);
gen ron17jun=0;
replace ron17jun=rob17 if (rob17~=0 & rob17mes==6 & rob17day<6);
gen ron18jun=0;
replace ron18jun=rob18 if (rob18~=0 & rob18mes==6 & rob18day<6);
gen ron19jun=0;
replace ron19jun=rob19 if (rob19~=0 & rob19mes==6 & rob19day<6);
gen ron20jun=0;
replace ron20jun=rob20 if (rob20~=0 & rob20mes==6 & rob20day<6);
gen ron21jun=0;
replace ron21jun=rob21 if (rob21~=0 & rob21mes==6 & rob21day<6);
gen ron22jun=0;
replace ron22jun=rob22 if (rob22~=0 & rob22mes==6 & rob22day<6);
gen ron23jun=0;
replace ron23jun=rob23 if (rob23~=0 & rob23mes==6 & rob23day<6);
gen totrobn=ron1jun+ron2jun+ron3jun+ron4jun+ron5jun+ron6jun+ron7jun+ron8jun+ron9jun+ron10jun+ron11jun+ron12jun+ron13jun+ron14jun+ron15jun+ron16jun+ron17jun+ron18jun+ron19jun+ron20jun+ron21jun+ron22jun+ron23jun;
gen rod1jun=0;
replace rod1jun=rob1 if (rob1~=0 & rob1mes==6 & rob1day>5);
gen rod2jun=0;
replace rod2jun=rob2 if (rob2~=0 & rob2mes==6 & rob2day>5);
gen rod3jun=0;
replace rod3jun=rob3 if (rob3~=0 & rob3mes==6 & rob3day>5);
gen rod4jun=0;
replace rod4jun=rob4 if (rob4~=0 & rob4mes==6 & rob4day>5);
gen rod5jun=0;
replace rod5jun=rob5 if (rob5~=0 & rob5mes==6 & rob5day>5);
gen rod6jun=0;
replace rod6jun=rob6 if (rob6~=0 & rob6mes==6 & rob6day>5);
gen rod7jun=0;
replace rod7jun=rob7 if (rob7~=0 & rob7mes==6 & rob7day>5);
gen rod8jun=0;
replace rod8jun=rob8 if (rob8~=0 & rob8mes==6 & rob8day>5);
gen rod9jun=0;
replace rod9jun=rob9 if (rob9~=0 & rob9mes==6 & rob9day>5);
gen rod10jun=0;
replace rod10jun=rob10 if (rob10~=0 & rob10mes==6 & rob10day>5);
gen rod11jun=0;
replace rod11jun=rob11 if (rob11~=0 & rob11mes==6 & rob11day>5);
gen rod12jun=0;
replace rod12jun=rob12 if (rob12~=0 & rob12mes==6 & rob12day>5);
gen rod13jun=0;
replace rod13jun=rob13 if (rob13~=0 & rob13mes==6 & rob13day>5);
gen rod14jun=0;
replace rod14jun=rob14 if (rob14~=0 & rob14mes==6 & rob14day>5);
gen rod15jun=0;
replace rod15jun=rob15 if (rob15~=0 & rob15mes==6 & rob15day>5);
gen rod16jun=0;
replace rod16jun=rob16 if (rob16~=0 & rob16mes==6 & rob16day>5);
gen rod17jun=0;
replace rod17jun=rob17 if (rob17~=0 & rob17mes==6 & rob17day>5);
gen rod18jun=0;
replace rod18jun=rob18 if (rob18~=0 & rob18mes==6 & rob18day>5);
gen rod19jun=0;
replace rod19jun=rob19 if (rob19~=0 & rob19mes==6 & rob19day>5);
gen rod20jun=0;
replace rod20jun=rob20 if (rob20~=0 & rob20mes==6 & rob20day>5);
gen rod21jun=0;
replace rod21jun=rob21 if (rob21~=0 & rob21mes==6 & rob21day>5);
gen rod22jun=0;
replace rod22jun=rob22 if (rob22~=0 & rob22mes==6 & rob22day>5);
gen rod23jun=0;
replace rod23jun=rob23 if (rob23~=0 & rob23mes==6 & rob23day>5);
gen totrobd=rod1jun+rod2jun+rod3jun+rod4jun+rod5jun+rod6jun+rod7jun+rod8jun+rod9jun+rod10jun+rod11jun+rod12jun+rod13jun+rod14jun+rod15jun+rod16jun+rod17jun+rod18jun+rod19jun+rod20jun+rod21jun+rod22jun+rod23jun;
gen diffdn=totrobn-totrobd;
drop ro*;
gen mes=6;
save "C:\_ernesto\Crime\AER_DataFiles&Programs\borrarCuadrasBjun.dta";
use "C:\_ernesto\Crime\AER_DataFiles&Programs\CrimebyBlock.dta", clear;
replace rob1=0.25 if rob1esq==1;
replace rob2=0.25 if rob2esq==1;
replace rob3=0.25 if rob3esq==1;
replace rob4=0.25 if rob4esq==1;
replace rob5=0.25 if rob5esq==1;
replace rob6=0.25 if rob6esq==1;
replace rob7=0.25 if rob7esq==1;
replace rob8=0.25 if rob8esq==1;
replace rob9=0.25 if rob9esq==1;
replace rob10=0.25 if rob10esq==1;
replace rob11=0.25 if rob11esq==1;
replace rob12=0.25 if rob12esq==1;
replace rob13=0.25 if rob13esq==1;
replace rob14=0.25 if rob14esq==1;
replace rob15=0.25 if rob15esq==1;
replace rob16=0.25 if rob16esq==1;
replace rob17=0.25 if rob17esq==1;
replace rob18=0.25 if rob18esq==1;
replace rob19=0.25 if rob19esq==1;
replace rob20=0.25 if rob20esq==1;
replace rob21=0.25 if rob21esq==1;
replace rob22=0.25 if rob22esq==1;
replace rob23=0.25 if rob23esq==1;
gen ron1jul=0;
replace ron1jul=rob1 if (rob1~=0 & rob1mes==7 & rob1dia<18 & rob1day<6);
gen ron2jul=0;
replace ron2jul=rob2 if (rob2~=0 & rob2mes==7 & rob2dia<18 & rob2day<6);
gen ron3jul=0;
replace ron3jul=rob3 if (rob3~=0 & rob3mes==7 & rob3dia<18 & rob3day<6);
gen ron4jul=0;
replace ron4jul=rob4 if (rob4~=0 & rob4mes==7 & rob4dia<18 & rob4day<6);
gen ron5jul=0;
replace ron5jul=rob5 if (rob5~=0 & rob5mes==7 & rob5dia<18 & rob5day<6);
gen ron6jul=0;
replace ron6jul=rob6 if (rob6~=0 & rob6mes==7 & rob6dia<18 & rob6day<6);
gen ron7jul=0;
replace ron7jul=rob7 if (rob7~=0 & rob7mes==7 & rob7dia<18 & rob7day<6);
gen ron8jul=0;
replace ron8jul=rob8 if (rob8~=0 & rob8mes==7 & rob8dia<18 & rob8day<6);
gen ron9jul=0;
replace ron9jul=rob9 if (rob9~=0 & rob9mes==7 & rob9dia<18 & rob9day<6);
gen ron10jul=0;
replace ron10jul=rob10 if (rob10~=0 & rob10mes==7 & rob10dia<18 & rob10day<6);
gen ron11jul=0;
replace ron11jul=rob11 if (rob11~=0 & rob11mes==7 & rob11dia<18 & rob11day<6);
gen ron12jul=0;
replace ron12jul=rob12 if (rob12~=0 & rob12mes==7 & rob12dia<18 & rob12day<6);
gen ron13jul=0;
replace ron13jul=rob13 if (rob13~=0 & rob13mes==7 & rob13dia<18 & rob13day<6);
gen ron14jul=0;
replace ron14jul=rob14 if (rob14~=0 & rob14mes==7 & rob14dia<18 & rob14day<6);
gen ron15jul=0;
replace ron15jul=rob15 if (rob15~=0 & rob15mes==7 & rob15dia<18 & rob15day<6);
gen ron16jul=0;
replace ron16jul=rob16 if (rob16~=0 & rob16mes==7 & rob16dia<18 & rob16day<6);
gen ron17jul=0;
replace ron17jul=rob17 if (rob17~=0 & rob17mes==7 & rob17dia<18 & rob17day<6);
gen ron18jul=0;
replace ron18jul=rob18 if (rob18~=0 & rob18mes==7 & rob18dia<18 & rob18day<6);
gen ron19jul=0;
replace ron19jul=rob19 if (rob19~=0 & rob19mes==7 & rob19dia<18 & rob19day<6);
gen ron20jul=0;
replace ron20jul=rob20 if (rob20~=0 & rob20mes==7 & rob20dia<18 & rob20day<6);
gen ron21jul=0;
replace ron21jul=rob21 if (rob21~=0 & rob21mes==7 & rob21dia<18 & rob21day<6);
gen ron22jul=0;
replace ron22jul=rob22 if (rob22~=0 & rob22mes==7 & rob22dia<18 & rob22day<6);
gen ron23jul=0;
replace ron23jul=rob23 if (rob23~=0 & rob23mes==7 & rob23dia<18 & rob23day<6);
gen totrobn=ron1jul+ron2jul+ron3jul+ron4jul+ron5jul+ron6jul+ron7jul+ron8jul+ron9jul+ron10jul+ron11jul+ron12jul+ron13jul+ron14jul+ron15jul+ron16jul+ron17jul+ron18jul+ron19jul+ron20jul+ron21jul+ron22jul+ron23jul;
gen rod1jul=0;
replace rod1jul=rob1 if (rob1~=0 & rob1mes==7 & rob1dia<18 & rob1day>5);
gen rod2jul=0;
replace rod2jul=rob2 if (rob2~=0 & rob2mes==7 & rob2dia<18 & rob2day>5);
gen rod3jul=0;
replace rod3jul=rob3 if (rob3~=0 & rob3mes==7 & rob3dia<18 & rob3day>5);
gen rod4jul=0;
replace rod4jul=rob4 if (rob4~=0 & rob4mes==7 & rob4dia<18 & rob4day>5);
gen rod5jul=0;
replace rod5jul=rob5 if (rob5~=0 & rob5mes==7 & rob5dia<18 & rob5day>5);
gen rod6jul=0;
replace rod6jul=rob6 if (rob6~=0 & rob6mes==7 & rob6dia<18 & rob6day>5);
gen rod7jul=0;
replace rod7jul=rob7 if (rob7~=0 & rob7mes==7 & rob7dia<18 & rob7day>5);
gen rod8jul=0;
replace rod8jul=rob8 if (rob8~=0 & rob8mes==7 & rob8dia<18 & rob8day>5);
gen rod9jul=0;
replace rod9jul=rob9 if (rob9~=0 & rob9mes==7 & rob9dia<18 & rob9day>5);
gen rod10jul=0;
replace rod10jul=rob10 if (rob10~=0 & rob10mes==7 & rob10dia<18 & rob10day>5);
gen rod11jul=0;
replace rod11jul=rob11 if (rob11~=0 & rob11mes==7 & rob11dia<18 & rob11day>5);
gen rod12jul=0;
replace rod12jul=rob12 if (rob12~=0 & rob12mes==7 & rob12dia<18 & rob12day>5);
gen rod13jul=0;
replace rod13jul=rob13 if (rob13~=0 & rob13mes==7 & rob13dia<18 & rob13day>5);
gen rod14jul=0;
replace rod14jul=rob14 if (rob14~=0 & rob14mes==7 & rob14dia<18 & rob14day>5);
gen rod15jul=0;
replace rod15jul=rob15 if (rob15~=0 & rob15mes==7 & rob15dia<18 & rob15day>5);
gen rod16jul=0;
replace rod16jul=rob16 if (rob16~=0 & rob16mes==7 & rob16dia<18 & rob16day>5);
gen rod17jul=0;
replace rod17jul=rob17 if (rob17~=0 & rob17mes==7 & rob17dia<18 & rob17day>5);
gen rod18jul=0;
replace rod18jul=rob18 if (rob18~=0 & rob18mes==7 & rob18dia<18 & rob18day>5);
gen rod19jul=0;
replace rod19jul=rob19 if (rob19~=0 & rob19mes==7 & rob19dia<18 & rob19day>5);
gen rod20jul=0;
replace rod20jul=rob20 if (rob20~=0 & rob20mes==7 & rob20dia<18 & rob20day>5);
gen rod21jul=0;
replace rod21jul=rob21 if (rob21~=0 & rob21mes==7 & rob21dia<18 & rob21day>5);
gen rod22jul=0;
replace rod22jul=rob22 if (rob22~=0 & rob22mes==7 & rob22dia<18 & rob22day>5);
gen rod23jul=0;
replace rod23jul=rob23 if (rob23~=0 & rob23mes==7 & rob23dia<18 & rob23day>5);
gen totrobd=rod1jul+rod2jul+rod3jul+rod4jul+rod5jul+rod6jul+rod7jul+rod8jul+rod9jul+rod10jul+rod11jul+rod12jul+rod13jul+rod14jul+rod15jul+rod16jul+rod17jul+rod18jul+rod19jul+rod20jul+rod21jul+rod22jul+rod23jul;
gen diffdn=totrobn-totrobd;
drop ro*;
gen mes=7;
save "C:\_ernesto\Crime\AER_DataFiles&Programs\borrarCuadrasBjul.dta";
use "C:\_ernesto\Crime\AER_DataFiles&Programs\CrimebyBlock.dta", clear;
replace rob1=0.25 if rob1esq==1;
replace rob2=0.25 if rob2esq==1;
replace rob3=0.25 if rob3esq==1;
replace rob4=0.25 if rob4esq==1;
replace rob5=0.25 if rob5esq==1;
replace rob6=0.25 if rob6esq==1;
replace rob7=0.25 if rob7esq==1;
replace rob8=0.25 if rob8esq==1;
replace rob9=0.25 if rob9esq==1;
replace rob10=0.25 if rob10esq==1;
replace rob11=0.25 if rob11esq==1;
replace rob12=0.25 if rob12esq==1;
replace rob13=0.25 if rob13esq==1;
replace rob14=0.25 if rob14esq==1;
replace rob15=0.25 if rob15esq==1;
replace rob16=0.25 if rob16esq==1;
replace rob17=0.25 if rob17esq==1;
replace rob18=0.25 if rob18esq==1;
replace rob19=0.25 if rob19esq==1;
replace rob20=0.25 if rob20esq==1;
replace rob21=0.25 if rob21esq==1;
replace rob22=0.25 if rob22esq==1;
replace rob23=0.25 if rob23esq==1;
gen ron1ago=0;
replace ron1ago=rob1 if (rob1~=0 & rob1mes==8 & rob1day<6);
gen ron2ago=0;
replace ron2ago=rob2 if (rob2~=0 & rob2mes==8 & rob2day<6);
gen ron3ago=0;
replace ron3ago=rob3 if (rob3~=0 & rob3mes==8 & rob3day<6);
gen ron4ago=0;
replace ron4ago=rob4 if (rob4~=0 & rob4mes==8 & rob4day<6);
gen ron5ago=0;
replace ron5ago=rob5 if (rob5~=0 & rob5mes==8 & rob5day<6);
gen ron6ago=0;
replace ron6ago=rob6 if (rob6~=0 & rob6mes==8 & rob6day<6);
gen ron7ago=0;
replace ron7ago=rob7 if (rob7~=0 & rob7mes==8 & rob7day<6);
gen ron8ago=0;
replace ron8ago=rob8 if (rob8~=0 & rob8mes==8 & rob8day<6);
gen ron9ago=0;
replace ron9ago=rob9 if (rob9~=0 & rob9mes==8 & rob9day<6);
gen ron10ago=0;
replace ron10ago=rob10 if (rob10~=0 & rob10mes==8 & rob10day<6);
gen ron11ago=0;
replace ron11ago=rob11 if (rob11~=0 & rob11mes==8 & rob11day<6);
gen ron12ago=0;
replace ron12ago=rob12 if (rob12~=0 & rob12mes==8 & rob12day<6);
gen ron13ago=0;
replace ron13ago=rob13 if (rob13~=0 & rob13mes==8 & rob13day<6);
gen ron14ago=0;
replace ron14ago=rob14 if (rob14~=0 & rob14mes==8 & rob14day<6);
gen ron15ago=0;
replace ron15ago=rob15 if (rob15~=0 & rob15mes==8 & rob15day<6);
gen ron16ago=0;
replace ron16ago=rob16 if (rob16~=0 & rob16mes==8 & rob16day<6);
gen ron17ago=0;
replace ron17ago=rob17 if (rob17~=0 & rob17mes==8 & rob17day<6);
gen ron18ago=0;
replace ron18ago=rob18 if (rob18~=0 & rob18mes==8 & rob18day<6);
gen ron19ago=0;
replace ron19ago=rob19 if (rob19~=0 & rob19mes==8 & rob19day<6);
gen ron20ago=0;
replace ron20ago=rob20 if (rob20~=0 & rob20mes==8 & rob20day<6);
gen ron21ago=0;
replace ron21ago=rob21 if (rob21~=0 & rob21mes==8 & rob21day<6);
gen ron22ago=0;
replace ron22ago=rob22 if (rob22~=0 & rob22mes==8 & rob22day<6);
gen ron23ago=0;
replace ron23ago=rob23 if (rob23~=0 & rob23mes==8 & rob23day<6);
gen totrobn=ron1ago+ron2ago+ron3ago+ron4ago+ron5ago+ron6ago+ron7ago+ron8ago+ron9ago+ron10ago+ron11ago+ron12ago+ron13ago+ron14ago+ron15ago+ron16ago+ron17ago+ron18ago+ron19ago+ron20ago+ron21ago+ron22ago+ron23ago;
gen rod1ago=0;
replace rod1ago=rob1 if (rob1~=0 & rob1mes==8 & rob1day>5);
gen rod2ago=0;
replace rod2ago=rob2 if (rob2~=0 & rob2mes==8 & rob2day>5);
gen rod3ago=0;
replace rod3ago=rob3 if (rob3~=0 & rob3mes==8 & rob3day>5);
gen rod4ago=0;
replace rod4ago=rob4 if (rob4~=0 & rob4mes==8 & rob4day>5);
gen rod5ago=0;
replace rod5ago=rob5 if (rob5~=0 & rob5mes==8 & rob5day>5);
gen rod6ago=0;
replace rod6ago=rob6 if (rob6~=0 & rob6mes==8 & rob6day>5);
gen rod7ago=0;
replace rod7ago=rob7 if (rob7~=0 & rob7mes==8 & rob7day>5);
gen rod8ago=0;
replace rod8ago=rob8 if (rob8~=0 & rob8mes==8 & rob8day>5);
gen rod9ago=0;
replace rod9ago=rob9 if (rob9~=0 & rob9mes==8 & rob9day>5);
gen rod10ago=0;
replace rod10ago=rob10 if (rob10~=0 & rob10mes==8 & rob10day>5);
gen rod11ago=0;
replace rod11ago=rob11 if (rob11~=0 & rob11mes==8 & rob11day>5);
gen rod12ago=0;
replace rod12ago=rob12 if (rob12~=0 & rob12mes==8 & rob12day>5);
gen rod13ago=0;
replace rod13ago=rob13 if (rob13~=0 & rob13mes==8 & rob13day>5);
gen rod14ago=0;
replace rod14ago=rob14 if (rob14~=0 & rob14mes==8 & rob14day>5);
gen rod15ago=0;
replace rod15ago=rob15 if (rob15~=0 & rob15mes==8 & rob15day>5);
gen rod16ago=0;
replace rod16ago=rob16 if (rob16~=0 & rob16mes==8 & rob16day>5);
gen rod17ago=0;
replace rod17ago=rob17 if (rob17~=0 & rob17mes==8 & rob17day>5);
gen rod18ago=0;
replace rod18ago=rob18 if (rob18~=0 & rob18mes==8 & rob18day>5);
gen rod19ago=0;
replace rod19ago=rob19 if (rob19~=0 & rob19mes==8 & rob19day>5);
gen rod20ago=0;
replace rod20ago=rob20 if (rob20~=0 & rob20mes==8 & rob20day>5);
gen rod21ago=0;
replace rod21ago=rob21 if (rob21~=0 & rob21mes==8 & rob21day>5);
gen rod22ago=0;
replace rod22ago=rob22 if (rob22~=0 & rob22mes==8 & rob22day>5);
gen rod23ago=0;
replace rod23ago=rob23 if (rob23~=0 & rob23mes==8 & rob23day>5);
gen totrobd=rod1ago+rod2ago+rod3ago+rod4ago+rod5ago+rod6ago+rod7ago+rod8ago+rod9ago+rod10ago+rod11ago+rod12ago+rod13ago+rod14ago+rod15ago+rod16ago+rod17ago+rod18ago+rod19ago+rod20ago+rod21ago+rod22ago+rod23ago;
gen diffdn=totrobn-totrobd;
drop ro*;
gen mes=8;
save "C:\_ernesto\Crime\AER_DataFiles&Programs\borrarCuadrasBago.dta";
use "C:\_ernesto\Crime\AER_DataFiles&Programs\CrimebyBlock.dta", clear;
replace rob1=0.25 if rob1esq==1;
replace rob2=0.25 if rob2esq==1;
replace rob3=0.25 if rob3esq==1;
replace rob4=0.25 if rob4esq==1;
replace rob5=0.25 if rob5esq==1;
replace rob6=0.25 if rob6esq==1;
replace rob7=0.25 if rob7esq==1;
replace rob8=0.25 if rob8esq==1;
replace rob9=0.25 if rob9esq==1;
replace rob10=0.25 if rob10esq==1;
replace rob11=0.25 if rob11esq==1;
replace rob12=0.25 if rob12esq==1;
replace rob13=0.25 if rob13esq==1;
replace rob14=0.25 if rob14esq==1;
replace rob15=0.25 if rob15esq==1;
replace rob16=0.25 if rob16esq==1;
replace rob17=0.25 if rob17esq==1;
replace rob18=0.25 if rob18esq==1;
replace rob19=0.25 if rob19esq==1;
replace rob20=0.25 if rob20esq==1;
replace rob21=0.25 if rob21esq==1;
replace rob22=0.25 if rob22esq==1;
replace rob23=0.25 if rob23esq==1;
gen ron1sep=0;
replace ron1sep=rob1 if (rob1~=0 & rob1mes==9 & rob1day<6);
gen ron2sep=0;
replace ron2sep=rob2 if (rob2~=0 & rob2mes==9 & rob2day<6);
gen ron3sep=0;
replace ron3sep=rob3 if (rob3~=0 & rob3mes==9 & rob3day<6);
gen ron4sep=0;
replace ron4sep=rob4 if (rob4~=0 & rob4mes==9 & rob4day<6);
gen ron5sep=0;
replace ron5sep=rob5 if (rob5~=0 & rob5mes==9 & rob5day<6);
gen ron6sep=0;
replace ron6sep=rob6 if (rob6~=0 & rob6mes==9 & rob6day<6);
gen ron7sep=0;
replace ron7sep=rob7 if (rob7~=0 & rob7mes==9 & rob7day<6);
gen ron8sep=0;
replace ron8sep=rob8 if (rob8~=0 & rob8mes==9 & rob8day<6);
gen ron9sep=0;
replace ron9sep=rob9 if (rob9~=0 & rob9mes==9 & rob9day<6);
gen ron10sep=0;
replace ron10sep=rob10 if (rob10~=0 & rob10mes==9 & rob10day<6);
gen ron11sep=0;
replace ron11sep=rob11 if (rob11~=0 & rob11mes==9 & rob11day<6);
gen ron12sep=0;
replace ron12sep=rob12 if (rob12~=0 & rob12mes==9 & rob12day<6);
gen ron13sep=0;
replace ron13sep=rob13 if (rob13~=0 & rob13mes==9 & rob13day<6);
gen ron14sep=0;
replace ron14sep=rob14 if (rob14~=0 & rob14mes==9 & rob14day<6);
gen ron15sep=0;
replace ron15sep=rob15 if (rob15~=0 & rob15mes==9 & rob15day<6);
gen ron16sep=0;
replace ron16sep=rob16 if (rob16~=0 & rob16mes==9 & rob16day<6);
gen ron17sep=0;
replace ron17sep=rob17 if (rob17~=0 & rob17mes==9 & rob17day<6);
gen ron18sep=0;
replace ron18sep=rob18 if (rob18~=0 & rob18mes==9 & rob18day<6);
gen ron19sep=0;
replace ron19sep=rob19 if (rob19~=0 & rob19mes==9 & rob19day<6);
gen ron20sep=0;
replace ron20sep=rob20 if (rob20~=0 & rob20mes==9 & rob20day<6);
gen ron21sep=0;
replace ron21sep=rob21 if (rob21~=0 & rob21mes==9 & rob21day<6);
gen ron22sep=0;
replace ron22sep=rob22 if (rob22~=0 & rob22mes==9 & rob22day<6);
gen ron23sep=0;
replace ron23sep=rob23 if (rob23~=0 & rob23mes==9 & rob23day<6);
gen totrobn=ron1sep+ron2sep+ron3sep+ron4sep+ron5sep+ron6sep+ron7sep+ron8sep+ron9sep+ron10sep+ron11sep+ron12sep+ron13sep+ron14sep+ron15sep+ron16sep+ron17sep+ron18sep+ron19sep+ron20sep+ron21sep+ron22sep+ron23sep;
gen rod1sep=0;
replace rod1sep=rob1 if (rob1~=0 & rob1mes==9 & rob1day>5);
gen rod2sep=0;
replace rod2sep=rob2 if (rob2~=0 & rob2mes==9 & rob2day>5);
gen rod3sep=0;
replace rod3sep=rob3 if (rob3~=0 & rob3mes==9 & rob3day>5);
gen rod4sep=0;
replace rod4sep=rob4 if (rob4~=0 & rob4mes==9 & rob4day>5);
gen rod5sep=0;
replace rod5sep=rob5 if (rob5~=0 & rob5mes==9 & rob5day>5);
gen rod6sep=0;
replace rod6sep=rob6 if (rob6~=0 & rob6mes==9 & rob6day>5);
gen rod7sep=0;
replace rod7sep=rob7 if (rob7~=0 & rob7mes==9 & rob7day>5);
gen rod8sep=0;
replace rod8sep=rob8 if (rob8~=0 & rob8mes==9 & rob8day>5);
gen rod9sep=0;
replace rod9sep=rob9 if (rob9~=0 & rob9mes==9 & rob9day>5);
gen rod10sep=0;
replace rod10sep=rob10 if (rob10~=0 & rob10mes==9 & rob10day>5);
gen rod11sep=0;
replace rod11sep=rob11 if (rob11~=0 & rob11mes==9 & rob11day>5);
gen rod12sep=0;
replace rod12sep=rob12 if (rob12~=0 & rob12mes==9 & rob12day>5);
gen rod13sep=0;
replace rod13sep=rob13 if (rob13~=0 & rob13mes==9 & rob13day>5);
gen rod14sep=0;
replace rod14sep=rob14 if (rob14~=0 & rob14mes==9 & rob14day>5);
gen rod15sep=0;
replace rod15sep=rob15 if (rob15~=0 & rob15mes==9 & rob15day>5);
gen rod16sep=0;
replace rod16sep=rob16 if (rob16~=0 & rob16mes==9 & rob16day>5);
gen rod17sep=0;
replace rod17sep=rob17 if (rob17~=0 & rob17mes==9 & rob17day>5);
gen rod18sep=0;
replace rod18sep=rob18 if (rob18~=0 & rob18mes==9 & rob18day>5);
gen rod19sep=0;
replace rod19sep=rob19 if (rob19~=0 & rob19mes==9 & rob19day>5);
gen rod20sep=0;
replace rod20sep=rob20 if (rob20~=0 & rob20mes==9 & rob20day>5);
gen rod21sep=0;
replace rod21sep=rob21 if (rob21~=0 & rob21mes==9 & rob21day>5);
gen rod22sep=0;
replace rod22sep=rob22 if (rob22~=0 & rob22mes==9 & rob22day>5);
gen rod23sep=0;
replace rod23sep=rob23 if (rob23~=0 & rob23mes==9 & rob23day>5);
gen totrobd=rod1sep+rod2sep+rod3sep+rod4sep+rod5sep+rod6sep+rod7sep+rod8sep+rod9sep+rod10sep+rod11sep+rod12sep+rod13sep+rod14sep+rod15sep+rod16sep+rod17sep+rod18sep+rod19sep+rod20sep+rod21sep+rod22sep+rod23sep;
gen diffdn=totrobn-totrobd;
drop ro*;
gen mes=9;
save "C:\_ernesto\Crime\AER_DataFiles&Programs\borrarCuadrasBsep.dta";
use "C:\_ernesto\Crime\AER_DataFiles&Programs\CrimebyBlock.dta", clear;
replace rob1=0.25 if rob1esq==1;
replace rob2=0.25 if rob2esq==1;
replace rob3=0.25 if rob3esq==1;
replace rob4=0.25 if rob4esq==1;
replace rob5=0.25 if rob5esq==1;
replace rob6=0.25 if rob6esq==1;
replace rob7=0.25 if rob7esq==1;
replace rob8=0.25 if rob8esq==1;
replace rob9=0.25 if rob9esq==1;
replace rob10=0.25 if rob10esq==1;
replace rob11=0.25 if rob11esq==1;
replace rob12=0.25 if rob12esq==1;
replace rob13=0.25 if rob13esq==1;
replace rob14=0.25 if rob14esq==1;
replace rob15=0.25 if rob15esq==1;
replace rob16=0.25 if rob16esq==1;
replace rob17=0.25 if rob17esq==1;
replace rob18=0.25 if rob18esq==1;
replace rob19=0.25 if rob19esq==1;
replace rob20=0.25 if rob20esq==1;
replace rob21=0.25 if rob21esq==1;
replace rob22=0.25 if rob22esq==1;
replace rob23=0.25 if rob23esq==1;
gen ron1oct=0;
replace ron1oct=rob1 if (rob1~=0 & rob1mes==10 & rob1day<6);
gen ron2oct=0;
replace ron2oct=rob2 if (rob2~=0 & rob2mes==10 & rob2day<6);
gen ron3oct=0;
replace ron3oct=rob3 if (rob3~=0 & rob3mes==10 & rob3day<6);
gen ron4oct=0;
replace ron4oct=rob4 if (rob4~=0 & rob4mes==10 & rob4day<6);
gen ron5oct=0;
replace ron5oct=rob5 if (rob5~=0 & rob5mes==10 & rob5day<6);
gen ron6oct=0;
replace ron6oct=rob6 if (rob6~=0 & rob6mes==10 & rob6day<6);
gen ron7oct=0;
replace ron7oct=rob7 if (rob7~=0 & rob7mes==10 & rob7day<6);
gen ron8oct=0;
replace ron8oct=rob8 if (rob8~=0 & rob8mes==10 & rob8day<6);
gen ron9oct=0;
replace ron9oct=rob9 if (rob9~=0 & rob9mes==10 & rob9day<6);
gen ron10oct=0;
replace ron10oct=rob10 if (rob10~=0 & rob10mes==10 & rob10day<6);
gen ron11oct=0;
replace ron11oct=rob11 if (rob11~=0 & rob11mes==10 & rob11day<6);
gen ron12oct=0;
replace ron12oct=rob12 if (rob12~=0 & rob12mes==10 & rob12day<6);
gen ron13oct=0;
replace ron13oct=rob13 if (rob13~=0 & rob13mes==10 & rob13day<6);
gen ron14oct=0;
replace ron14oct=rob14 if (rob14~=0 & rob14mes==10 & rob14day<6);
gen ron15oct=0;
replace ron15oct=rob15 if (rob15~=0 & rob15mes==10 & rob15day<6);
gen ron16oct=0;
replace ron16oct=rob16 if (rob16~=0 & rob16mes==10 & rob16day<6);
gen ron17oct=0;
replace ron17oct=rob17 if (rob17~=0 & rob17mes==10 & rob17day<6);
gen ron18oct=0;
replace ron18oct=rob18 if (rob18~=0 & rob18mes==10 & rob18day<6);
gen ron19oct=0;
replace ron19oct=rob19 if (rob19~=0 & rob19mes==10 & rob19day<6);
gen ron20oct=0;
replace ron20oct=rob20 if (rob20~=0 & rob20mes==10 & rob20day<6);
gen ron21oct=0;
replace ron21oct=rob21 if (rob21~=0 & rob21mes==10 & rob21day<6);
gen ron22oct=0;
replace ron22oct=rob22 if (rob22~=0 & rob22mes==10 & rob22day<6);
gen ron23oct=0;
replace ron23oct=rob23 if (rob23~=0 & rob23mes==10 & rob23day<6);
gen totrobn=ron1oct+ron2oct+ron3oct+ron4oct+ron5oct+ron6oct+ron7oct+ron8oct+ron9oct+ron10oct+ron11oct+ron12oct+ron13oct+ron14oct+ron15oct+ron16oct+ron17oct+ron18oct+ron19oct+ron20oct+ron21oct+ron22oct+ron23oct;
gen rod1oct=0;
replace rod1oct=rob1 if (rob1~=0 & rob1mes==10 & rob1day>5);
gen rod2oct=0;
replace rod2oct=rob2 if (rob2~=0 & rob2mes==10 & rob2day>5);
gen rod3oct=0;
replace rod3oct=rob3 if (rob3~=0 & rob3mes==10 & rob3day>5);
gen rod4oct=0;
replace rod4oct=rob4 if (rob4~=0 & rob4mes==10 & rob4day>5);
gen rod5oct=0;
replace rod5oct=rob5 if (rob5~=0 & rob5mes==10 & rob5day>5);
gen rod6oct=0;
replace rod6oct=rob6 if (rob6~=0 & rob6mes==10 & rob6day>5);
gen rod7oct=0;
replace rod7oct=rob7 if (rob7~=0 & rob7mes==10 & rob7day>5);
gen rod8oct=0;
replace rod8oct=rob8 if (rob8~=0 & rob8mes==10 & rob8day>5);
gen rod9oct=0;
replace rod9oct=rob9 if (rob9~=0 & rob9mes==10 & rob9day>5);
gen rod10oct=0;
replace rod10oct=rob10 if (rob10~=0 & rob10mes==10 & rob10day>5);
gen rod11oct=0;
replace rod11oct=rob11 if (rob11~=0 & rob11mes==10 & rob11day>5);
gen rod12oct=0;
replace rod12oct=rob12 if (rob12~=0 & rob12mes==10 & rob12day>5);
gen rod13oct=0;
replace rod13oct=rob13 if (rob13~=0 & rob13mes==10 & rob13day>5);
gen rod14oct=0;
replace rod14oct=rob14 if (rob14~=0 & rob14mes==10 & rob14day>5);
gen rod15oct=0;
replace rod15oct=rob15 if (rob15~=0 & rob15mes==10 & rob15day>5);
gen rod16oct=0;
replace rod16oct=rob16 if (rob16~=0 & rob16mes==10 & rob16day>5);
gen rod17oct=0;
replace rod17oct=rob17 if (rob17~=0 & rob17mes==10 & rob17day>5);
gen rod18oct=0;
replace rod18oct=rob18 if (rob18~=0 & rob18mes==10 & rob18day>5);
gen rod19oct=0;
replace rod19oct=rob19 if (rob19~=0 & rob19mes==10 & rob19day>5);
gen rod20oct=0;
replace rod20oct=rob20 if (rob20~=0 & rob20mes==10 & rob20day>5);
gen rod21oct=0;
replace rod21oct=rob21 if (rob21~=0 & rob21mes==10 & rob21day>5);
gen rod22oct=0;
replace rod22oct=rob22 if (rob22~=0 & rob22mes==10 & rob22day>5);
gen rod23oct=0;
replace rod23oct=rob23 if (rob23~=0 & rob23mes==10 & rob23day>5);
gen totrobd=rod1oct+rod2oct+rod3oct+rod4oct+rod5oct+rod6oct+rod7oct+rod8oct+rod9oct+rod10oct+rod11oct+rod12oct+rod13oct+rod14oct+rod15oct+rod16oct+rod17oct+rod18oct+rod19oct+rod20oct+rod21oct+rod22oct+rod23oct;
gen diffdn=totrobn-totrobd;
drop ro*;
gen mes=10;
save "C:\_ernesto\Crime\AER_DataFiles&Programs\borrarCuadrasBoct.dta";
use "C:\_ernesto\Crime\AER_DataFiles&Programs\CrimebyBlock.dta", clear;
replace rob1=0.25 if rob1esq==1;
replace rob2=0.25 if rob2esq==1;
replace rob3=0.25 if rob3esq==1;
replace rob4=0.25 if rob4esq==1;
replace rob5=0.25 if rob5esq==1;
replace rob6=0.25 if rob6esq==1;
replace rob7=0.25 if rob7esq==1;
replace rob8=0.25 if rob8esq==1;
replace rob9=0.25 if rob9esq==1;
replace rob10=0.25 if rob10esq==1;
replace rob11=0.25 if rob11esq==1;
replace rob12=0.25 if rob12esq==1;
replace rob13=0.25 if rob13esq==1;
replace rob14=0.25 if rob14esq==1;
replace rob15=0.25 if rob15esq==1;
replace rob16=0.25 if rob16esq==1;
replace rob17=0.25 if rob17esq==1;
replace rob18=0.25 if rob18esq==1;
replace rob19=0.25 if rob19esq==1;
replace rob20=0.25 if rob20esq==1;
replace rob21=0.25 if rob21esq==1;
replace rob22=0.25 if rob22esq==1;
replace rob23=0.25 if rob23esq==1;
gen ron1nov=0;
replace ron1nov=rob1 if (rob1~=0 & rob1mes==11 & rob1day<6);
gen ron2nov=0;
replace ron2nov=rob2 if (rob2~=0 & rob2mes==11 & rob2day<6);
gen ron3nov=0;
replace ron3nov=rob3 if (rob3~=0 & rob3mes==11 & rob3day<6);
gen ron4nov=0;
replace ron4nov=rob4 if (rob4~=0 & rob4mes==11 & rob4day<6);
gen ron5nov=0;
replace ron5nov=rob5 if (rob5~=0 & rob5mes==11 & rob5day<6);
gen ron6nov=0;
replace ron6nov=rob6 if (rob6~=0 & rob6mes==11 & rob6day<6);
gen ron7nov=0;
replace ron7nov=rob7 if (rob7~=0 & rob7mes==11 & rob7day<6);
gen ron8nov=0;
replace ron8nov=rob8 if (rob8~=0 & rob8mes==11 & rob8day<6);
gen ron9nov=0;
replace ron9nov=rob9 if (rob9~=0 & rob9mes==11 & rob9day<6);
gen ron10nov=0;
replace ron10nov=rob10 if (rob10~=0 & rob10mes==11 & rob10day<6);
gen ron11nov=0;
replace ron11nov=rob11 if (rob11~=0 & rob11mes==11 & rob11day<6);
gen ron12nov=0;
replace ron12nov=rob12 if (rob12~=0 & rob12mes==11 & rob12day<6);
gen ron13nov=0;
replace ron13nov=rob13 if (rob13~=0 & rob13mes==11 & rob13day<6);
gen ron14nov=0;
replace ron14nov=rob14 if (rob14~=0 & rob14mes==11 & rob14day<6);
gen ron15nov=0;
replace ron15nov=rob15 if (rob15~=0 & rob15mes==11 & rob15day<6);
gen ron16nov=0;
replace ron16nov=rob16 if (rob16~=0 & rob16mes==11 & rob16day<6);
gen ron17nov=0;
replace ron17nov=rob17 if (rob17~=0 & rob17mes==11 & rob17day<6);
gen ron18nov=0;
replace ron18nov=rob18 if (rob18~=0 & rob18mes==11 & rob18day<6);
gen ron19nov=0;
replace ron19nov=rob19 if (rob19~=0 & rob19mes==11 & rob19day<6);
gen ron20nov=0;
replace ron20nov=rob20 if (rob20~=0 & rob20mes==11 & rob20day<6);
gen ron21nov=0;
replace ron21nov=rob21 if (rob21~=0 & rob21mes==11 & rob21day<6);
gen ron22nov=0;
replace ron22nov=rob22 if (rob22~=0 & rob22mes==11 & rob22day<6);
gen ron23nov=0;
replace ron23nov=rob23 if (rob23~=0 & rob23mes==11 & rob23day<6);
gen totrobn=ron1nov+ron2nov+ron3nov+ron4nov+ron5nov+ron6nov+ron7nov+ron8nov+ron9nov+ron10nov+ron11nov+ron12nov+ron13nov+ron14nov+ron15nov+ron16nov+ron17nov+ron18nov+ron19nov+ron20nov+ron21nov+ron22nov+ron23nov;
gen rod1nov=0;
replace rod1nov=rob1 if (rob1~=0 & rob1mes==11 & rob1day>5);
gen rod2nov=0;
replace rod2nov=rob2 if (rob2~=0 & rob2mes==11 & rob2day>5);
gen rod3nov=0;
replace rod3nov=rob3 if (rob3~=0 & rob3mes==11 & rob3day>5);
gen rod4nov=0;
replace rod4nov=rob4 if (rob4~=0 & rob4mes==11 & rob4day>5);
gen rod5nov=0;
replace rod5nov=rob5 if (rob5~=0 & rob5mes==11 & rob5day>5);
gen rod6nov=0;
replace rod6nov=rob6 if (rob6~=0 & rob6mes==11 & rob6day>5);
gen rod7nov=0;
replace rod7nov=rob7 if (rob7~=0 & rob7mes==11 & rob7day>5);
gen rod8nov=0;
replace rod8nov=rob8 if (rob8~=0 & rob8mes==11 & rob8day>5);
gen rod9nov=0;
replace rod9nov=rob9 if (rob9~=0 & rob9mes==11 & rob9day>5);
gen rod10nov=0;
replace rod10nov=rob10 if (rob10~=0 & rob10mes==11 & rob10day>5);
gen rod11nov=0;
replace rod11nov=rob11 if (rob11~=0 & rob11mes==11 & rob11day>5);
gen rod12nov=0;
replace rod12nov=rob12 if (rob12~=0 & rob12mes==11 & rob12day>5);
gen rod13nov=0;
replace rod13nov=rob13 if (rob13~=0 & rob13mes==11 & rob13day>5);
gen rod14nov=0;
replace rod14nov=rob14 if (rob14~=0 & rob14mes==11 & rob14day>5);
gen rod15nov=0;
replace rod15nov=rob15 if (rob15~=0 & rob15mes==11 & rob15day>5);
gen rod16nov=0;
replace rod16nov=rob16 if (rob16~=0 & rob16mes==11 & rob16day>5);
gen rod17nov=0;
replace rod17nov=rob17 if (rob17~=0 & rob17mes==11 & rob17day>5);
gen rod18nov=0;
replace rod18nov=rob18 if (rob18~=0 & rob18mes==11 & rob18day>5);
gen rod19nov=0;
replace rod19nov=rob19 if (rob19~=0 & rob19mes==11 & rob19day>5);
gen rod20nov=0;
replace rod20nov=rob20 if (rob20~=0 & rob20mes==11 & rob20day>5);
gen rod21nov=0;
replace rod21nov=rob21 if (rob21~=0 & rob21mes==11 & rob21day>5);
gen rod22nov=0;
replace rod22nov=rob22 if (rob22~=0 & rob22mes==11 & rob22day>5);
gen rod23nov=0;
replace rod23nov=rob23 if (rob23~=0 & rob23mes==11 & rob23day>5);
gen totrobd=rod1nov+rod2nov+rod3nov+rod4nov+rod5nov+rod6nov+rod7nov+rod8nov+rod9nov+rod10nov+rod11nov+rod12nov+rod13nov+rod14nov+rod15nov+rod16nov+rod17nov+rod18nov+rod19nov+rod20nov+rod21nov+rod22nov+rod23nov;
gen diffdn=totrobn-totrobd;
drop ro*;
gen mes=11;
save "C:\_ernesto\Crime\AER_DataFiles&Programs\borrarCuadrasBnov.dta";
use "C:\_ernesto\Crime\AER_DataFiles&Programs\CrimebyBlock.dta", clear;
replace rob1=0.25 if rob1esq==1;
replace rob2=0.25 if rob2esq==1;
replace rob3=0.25 if rob3esq==1;
replace rob4=0.25 if rob4esq==1;
replace rob5=0.25 if rob5esq==1;
replace rob6=0.25 if rob6esq==1;
replace rob7=0.25 if rob7esq==1;
replace rob8=0.25 if rob8esq==1;
replace rob9=0.25 if rob9esq==1;
replace rob10=0.25 if rob10esq==1;
replace rob11=0.25 if rob11esq==1;
replace rob12=0.25 if rob12esq==1;
replace rob13=0.25 if rob13esq==1;
replace rob14=0.25 if rob14esq==1;
replace rob15=0.25 if rob15esq==1;
replace rob16=0.25 if rob16esq==1;
replace rob17=0.25 if rob17esq==1;
replace rob18=0.25 if rob18esq==1;
replace rob19=0.25 if rob19esq==1;
replace rob20=0.25 if rob20esq==1;
replace rob21=0.25 if rob21esq==1;
replace rob22=0.25 if rob22esq==1;
replace rob23=0.25 if rob23esq==1;
gen ron1dic=0;
replace ron1dic=rob1 if (rob1~=0 & rob1mes==12 & rob1day<6);
gen ron2dic=0;
replace ron2dic=rob2 if (rob2~=0 & rob2mes==12 & rob2day<6);
gen ron3dic=0;
replace ron3dic=rob3 if (rob3~=0 & rob3mes==12 & rob3day<6);
gen ron4dic=0;
replace ron4dic=rob4 if (rob4~=0 & rob4mes==12 & rob4day<6);
gen ron5dic=0;
replace ron5dic=rob5 if (rob5~=0 & rob5mes==12 & rob5day<6);
gen ron6dic=0;
replace ron6dic=rob6 if (rob6~=0 & rob6mes==12 & rob6day<6);
gen ron7dic=0;
replace ron7dic=rob7 if (rob7~=0 & rob7mes==12 & rob7day<6);
gen ron8dic=0;
replace ron8dic=rob8 if (rob8~=0 & rob8mes==12 & rob8day<6);
gen ron9dic=0;
replace ron9dic=rob9 if (rob9~=0 & rob9mes==12 & rob9day<6);
gen ron10dic=0;
replace ron10dic=rob10 if (rob10~=0 & rob10mes==12 & rob10day<6);
gen ron11dic=0;
replace ron11dic=rob11 if (rob11~=0 & rob11mes==12 & rob11day<6);
gen ron12dic=0;
replace ron12dic=rob12 if (rob12~=0 & rob12mes==12 & rob12day<6);
gen ron13dic=0;
replace ron13dic=rob13 if (rob13~=0 & rob13mes==12 & rob13day<6);
gen ron14dic=0;
replace ron14dic=rob14 if (rob14~=0 & rob14mes==12 & rob14day<6);
gen ron15dic=0;
replace ron15dic=rob15 if (rob15~=0 & rob15mes==12 & rob15day<6);
gen ron16dic=0;
replace ron16dic=rob16 if (rob16~=0 & rob16mes==12 & rob16day<6);
gen ron17dic=0;
replace ron17dic=rob17 if (rob17~=0 & rob17mes==12 & rob17day<6);
gen ron18dic=0;
replace ron18dic=rob18 if (rob18~=0 & rob18mes==12 & rob18day<6);
gen ron19dic=0;
replace ron19dic=rob19 if (rob19~=0 & rob19mes==12 & rob19day<6);
gen ron20dic=0;
replace ron20dic=rob20 if (rob20~=0 & rob20mes==12 & rob20day<6);
gen ron21dic=0;
replace ron21dic=rob21 if (rob21~=0 & rob21mes==12 & rob21day<6);
gen ron22dic=0;
replace ron22dic=rob22 if (rob22~=0 & rob22mes==12 & rob22day<6);
gen ron23dic=0;
replace ron23dic=rob23 if (rob23~=0 & rob23mes==12 & rob23day<6);
gen totrobn=ron1dic+ron2dic+ron3dic+ron4dic+ron5dic+ron6dic+ron7dic+ron8dic+ron9dic+ron10dic+ron11dic+ron12dic+ron13dic+ron14dic+ron15dic+ron16dic+ron17dic+ron18dic+ron19dic+ron20dic+ron21dic+ron22dic+ron23dic;
gen rod1dic=0;
replace rod1dic=rob1 if (rob1~=0 & rob1mes==12 & rob1day>5);
gen rod2dic=0;
replace rod2dic=rob2 if (rob2~=0 & rob2mes==12 & rob2day>5);
gen rod3dic=0;
replace rod3dic=rob3 if (rob3~=0 & rob3mes==12 & rob3day>5);
gen rod4dic=0;
replace rod4dic=rob4 if (rob4~=0 & rob4mes==12 & rob4day>5);
gen rod5dic=0;
replace rod5dic=rob5 if (rob5~=0 & rob5mes==12 & rob5day>5);
gen rod6dic=0;
replace rod6dic=rob6 if (rob6~=0 & rob6mes==12 & rob6day>5);
gen rod7dic=0;
replace rod7dic=rob7 if (rob7~=0 & rob7mes==12 & rob7day>5);
gen rod8dic=0;
replace rod8dic=rob8 if (rob8~=0 & rob8mes==12 & rob8day>5);
gen rod9dic=0;
replace rod9dic=rob9 if (rob9~=0 & rob9mes==12 & rob9day>5);
gen rod10dic=0;
replace rod10dic=rob10 if (rob10~=0 & rob10mes==12 & rob10day>5);
gen rod11dic=0;
replace rod11dic=rob11 if (rob11~=0 & rob11mes==12 & rob11day>5);
gen rod12dic=0;
replace rod12dic=rob12 if (rob12~=0 & rob12mes==12 & rob12day>5);
gen rod13dic=0;
replace rod13dic=rob13 if (rob13~=0 & rob13mes==12 & rob13day>5);
gen rod14dic=0;
replace rod14dic=rob14 if (rob14~=0 & rob14mes==12 & rob14day>5);
gen rod15dic=0;
replace rod15dic=rob15 if (rob15~=0 & rob15mes==12 & rob15day>5);
gen rod16dic=0;
replace rod16dic=rob16 if (rob16~=0 & rob16mes==12 & rob16day>5);
gen rod17dic=0;
replace rod17dic=rob17 if (rob17~=0 & rob17mes==12 & rob17day>5);
gen rod18dic=0;
replace rod18dic=rob18 if (rob18~=0 & rob18mes==12 & rob18day>5);
gen rod19dic=0;
replace rod19dic=rob19 if (rob19~=0 & rob19mes==12 & rob19day>5);
gen rod20dic=0;
replace rod20dic=rob20 if (rob20~=0 & rob20mes==12 & rob20day>5);
gen rod21dic=0;
replace rod21dic=rob21 if (rob21~=0 & rob21mes==12 & rob21day>5);
gen rod22dic=0;
replace rod22dic=rob22 if (rob22~=0 & rob22mes==12 & rob22day>5);
gen rod23dic=0;
replace rod23dic=rob23 if (rob23~=0 & rob23mes==12 & rob23day>5);
gen totrobd=rod1dic+rod2dic+rod3dic+rod4dic+rod5dic+rod6dic+rod7dic+rod8dic+rod9dic+rod10dic+rod11dic+rod12dic+rod13dic+rod14dic+rod15dic+rod16dic+rod17dic+rod18dic+rod19dic+rod20dic+rod21dic+rod22dic+rod23dic;
gen diffdn=totrobn-totrobd;
drop ro*;
gen mes=12;
save "C:\_ernesto\Crime\AER_DataFiles&Programs\borrarCuadrasBdic.dta";
use "C:\_ernesto\Crime\AER_DataFiles&Programs\borrarCuadrasBabr.dta", clear;
append using "C:\_ernesto\Crime\AER_DataFiles&Programs\borrarCuadrasBmay.dta";
append using "C:\_ernesto\Crime\AER_DataFiles&Programs\borrarCuadrasBjun.dta";
append using "C:\_ernesto\Crime\AER_DataFiles&Programs\borrarCuadrasBjul.dta";
append using "C:\_ernesto\Crime\AER_DataFiles&Programs\borrarCuadrasBago.dta";
append using "C:\_ernesto\Crime\AER_DataFiles&Programs\borrarCuadrasBsep.dta";
append using "C:\_ernesto\Crime\AER_DataFiles&Programs\borrarCuadrasBoct.dta";
append using "C:\_ernesto\Crime\AER_DataFiles&Programs\borrarCuadrasBnov.dta";
append using "C:\_ernesto\Crime\AER_DataFiles&Programs\borrarCuadrasBdic.dta";
drop distrito frcensal edad mujer propiet tamhogar nohacinado nonbi educjefe ocupado;
save "C:\_ernesto\Crime\AER_DataFiles&Programs\borrarCuadrasB.dta";
***ESTIMATES;
use "C:\_ernesto\Crime\AER_DataFiles&Programs\borrarCuadrasB.dta", clear;
gen inst3_1=institu3-institu1;
gen month5=0;
replace month5=1 if mes==5;
gen month6=0;
replace month6=1 if mes==6;
gen month7=0;
replace month7=1 if mes==7;
gen month8=0;
replace month8=1 if mes==8;
gen month9=0;
replace month9=1 if mes==9;
gen month10=0;
replace month10=1 if mes==10;
gen month11=0;
replace month11=1 if mes==11;
gen month12=0;
replace month12=1 if mes==12;
gen post=0;
replace post=1 if mes>7;
gen inst1p=institu1*post;
gen inst3p=institu3*post;
gen inst3_1p=inst3_1*post;
gen cuad2=0;
replace cuad2=1 if distanci==2;
gen cuad2p=cuad2*post;
***REGRESSIONS;
***ROBOS WEEKDAY;
***OLS;
xtreg totrobn inst1p inst3_1p cuad2p month*, fe i(observ);
***ROBUST STANDARD ERRORS;
***TABLE 6.C;
areg totrobn inst1p inst3_1p cuad2p month*, absorb(observ) robust;
***ROBOS WEEKEND;
***OLS;
xtreg totrobd inst1p inst3_1p cuad2p month*, fe i(observ);
***ROBUST STANDARD ERRORS;
***TABLE 6.D;
areg totrobd inst1p inst3_1p cuad2p month*, absorb(observ) robust;
***DIFFERENCIA WEEKDAY-WEEKEND;
***OLS;
xtreg diffdn inst1p inst3_1p cuad2p month*, fe i(observ);
***ROBUST STANDARD ERRORS;
areg diffdn inst1p inst3_1p cuad2p month*, absorb(observ) robust;
sum totrobn totrobd;
***CONTROL GROUP COUNTERFACTUAL;
sum totrobn if post==1 & distanci>2;
sum totrobd if post==1 & distanci>2;
clear;